## bogl 0.1.9-2

=== Makefile ===
LIBS = -lc
LIB = libbogl.a
DEVLINK = libbogl.so
SONAME = libbogl.so.0
SHARED_LIB = libbogl.so.0.1

CFLAGS = -O2 -g -D_GNU_SOURCE
WARNCFLAGS += -Wall -D_GNU_SOURCE
ALLCFLAGS = $(CFLAGS) $(WARNCFLAGS) $(FBCFLAGS)

architecture := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)

LIBOBJECTS = $(LIBBOGLOBJECTS) $(LIBBOMLOBJECTS) $(LIBBOWLOBJECTS)	\
	$(LIBRSRCOBJECTS)
LIBBOGLOBJECTS = bogl.o bogl-font.o
LIBBOMLOBJECTS = arrow.o boml.o
LIBBOWLOBJECTS = bowl.o symbol.o
LIBRSRCOBJECTS = helvB10.o helvB12.o helvR10.o timBI18.o tux75.o

SOURCES_DEP = arrow.c bdftobogl.c bogl-cfb.c bogl-cfb.h bogl-cfb8.c	\
bogl-cfb8.h bogl-font.c bogl-font.h bogl-pcfb.c bogl-pcfb.h		\
bogl-tcfb.c bogl-tcfb.h bogl-test.c bogl.c bogl.h boglP.h boml.c	\
boml.h bowl-boxes.c bowl.c bowl.h pngtobogl.c

ifeq (,)
	FBCFLAGS += -DBOGL_CFB_FB=1
	LIBBOGLOBJECTS += bogl-cfb.o bogl-pcfb.o bogl-tcfb.o
endif

ifeq ($(architecture), i386)
	FBCFLAGS += -DBOGL_VGA16_FB=1
	LIBBOGLOBJECTS += bogl-vga16.o
	SOURCES_DEP += bogl-vga16.c bogl-vga16.h
endif

OBJECTS = $(LIBOBJECTS) bowl-boxes.o

GENERATED = helvB10.c helvB12.c helvR10.c timBI18.c tux75.c

#		 libutf8/libutf8_plug.so unifont-reduced.bgf
all:    depend $(SHARED_LIB) $(LIB) bterm bdftobogl reduce-font

%.lo: %.c
	$(CC) $(ALLCFLAGS) -o $@ -fPIC -c $<

%.o: %.c
	$(CC) $(ALLCFLAGS) -o $@ -c $<

$(SHARED_LIB): $(OBJECTS:%.o=%.lo)
	$(CC) -shared -Wl,-soname,$(SONAME) -o $(SHARED_LIB) $(OBJECTS:%.o=%.lo)

# unifont-reduced.bgf: bdftobogl unifont-reduced.bdf
#	./bdftobogl -b unifont-reduced.bdf > unifont-reduced.bgf

# unifont-reduced.bdf: ../bf-utf/unifont.bdf ../all.utf libutf8/libutf8_plug.so reduce-font
#	LD_PRELOAD=./libutf8/libutf8_plug.so LC_CTYPE=C.UTF-8 ./reduce-font $< < ../all.utf > $@

# ../all.utf: ../po.utf ../rn.utf $(xml_files)
#	cat $^ > $@

# ../po.utf:
#	$(MAKE) -C ../dbootstrap/po all-po-utf
#	cat ../dbootstrap/po/utf/*.po > $@

# ../rn.utf:
#	$(MAKE) RN_TARGET_DIR=. -C ../../scripts/rootdisk/messages install-utf
#	cat ../../scripts/rootdisk/messages/release_notes.* > $@

reduce-font: reduce-font.c

$(LIB): $(OBJECTS)
	rm -f $(LIB)
	ar rcs $(LIB) $(OBJECTS)

bogl-test: $(LIB) bogl-test.c tux75.o
	$(CC) $(ALLCFLAGS) -o bogl-test bogl-test.c tux75.o $(LIB)

bowl-boxes: $(LIB)
	$(CC) -DSTANDALONE_TEST $(ALLCFLAGS) bowl-boxes.c $(LIBOBJECTS) -o bowl-boxes

bterm: $(LIB) bterm.o bogl-term.o bogl-bgf.o
	$(CC) $+ $(LIB) -o bterm

bdftobogl: $(LIBBOGLOBJECTS)
%.c: %.bdf bdftobogl
	./bdftobogl $< > $@

pngtobogl: pngtobogl.o
	$(CC) $(ALLCFLAGS) -o pngtobogl pngtobogl.o -lgd -lpng -lm
%.c: %.png pngtobogl
	./pngtobogl $< > $@

depend: .depend
.depend: $(SOURCES_DEP)
	$(CPP) $(ALLCFLAGS) -M $(SOURCES_DEP) > .depend

clean: 
	rm -rf reduce-font bterm bdftobogl pngtobogl *.o $(GENERATED) *-test lang.h tmp.*.c bowl-boxes $(LIB) unifont-reduced.bgf unifont-reduced.bdf
	rm -f $(OBJECTS:%.o=%.lo) $(SHARED_LIB)
	rm -f .depend

distclean: clean
	rm -f $(LIB) .depend *~ .nfs*

force:

ifeq (.depend,$(wildcard .depend))
include .depend
endif

install: all
	install -d $(DESTDIR)/usr/lib $(DESTDIR)/usr/include/bogl $(DESTDIR)/usr/bin
	install -m644 $(SHARED_LIB) $(DESTDIR)/usr/lib/$(SHARED_LIB)
	ln -s $(SHARED_LIB) $(DESTDIR)/usr/lib/$(DEVLINK)
	ln -s $(SHARED_LIB) $(DESTDIR)/usr/lib/$(SONAME)
	install -m644 $(LIB) $(DESTDIR)/usr/lib/$(LIB)
	install -m644 *.h $(DESTDIR)/usr/include/bogl
	install -m755 bdftobogl mergebdf bterm pngtobogl reduce-font $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/share/terminfo
	tic -o$(DESTDIR)/usr/share/terminfo bterm.ti

=== debian/changelog ===
bogl (0.1.9-2) unstable; urgency=low

  * Add a manpage for bterm (Closes: #84208, #139713).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 31 Mar 2002 15:43:27 -0500

bogl (0.1.9-1) unstable; urgency=low

  * New "upstream" release.
    - Several new terminfo capabilities, including scrolling up.
    - "less" works under bterm now.
    - Still one visible bug in mutt (if you are looking at a long message
      and hit 'v', the screen may not be properly cleared when the menu
      displays).  Probably we advertise some terminfo capability we
      don't actually support.
  * Support frame buffers whose start address is not page-aligned
    (Closes: #134014).
  * Add acsc, smacs, and rmacs capabilities to bterm.  They only work
    with UTF-8 etc. locales for the moment.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 18 Mar 2002 01:47:49 -0500

bogl (0.1.8-1) unstable; urgency=low

  * New "upstream" release - the "mutt almost works in bterm now" release.
  * Set controlling TTY for processes run in bterm (Closes: #121186).
  * Use u_int32_t instead of unsigned long, and fix pointer sizeofs.
  * Draw the cursor and screen refresh correctly (Closes: #119360).

 -- Daniel Jacobowitz <dan@debian.org>  Sat,  1 Dec 2001 13:05:14 -0500

bogl (0.1.7-1) unstable; urgency=low

  * New "upstream" release.
  * Add __attribute__ ((packed)) to some structures for ARM
    (Closes: #119030).
  * Better error handling in reduce-font, from Philip Blundell
    (Closes: #119110).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 11 Nov 2001 11:21:43 -0500

bogl (0.1.6-2) unstable; urgency=low

  * Fix sections for libbogl0 and bogl-bterm.

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 28 Jun 2001 12:19:34 -0700

bogl (0.1.6-1) unstable; urgency=low

  * New "upstream" release.  That was quick.
  * Include <stdarg.h> in bowl-boxes.c so that va_* macros expand
    properly.
  * Install reduce-font for boot-floppies.
  * Finish killing libutf8.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 27 May 2001 18:15:08 -0700

bogl (0.1.5-2) unstable; urgency=low

  * Oops, add ${shlibs:Depends} to libbogl-dev (Closes: #84210).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 27 May 2001 17:55:16 -0700

bogl (0.1.5-1) unstable; urgency=low

  * New "upstream" release, fixing bterm's utf8 support.
  * Install bterm terminfo description.
  * Stop calling dh_testversion, we already had the right Build-Depends.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 27 May 2001 17:16:20 -0700

bogl (0.1.4-1) unstable; urgency=low

  * New "upstream" release (closes: #87034).
  * Include libbogl.so link in libbogl-dev.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 24 Feb 2001 16:16:14 -0500

bogl (0.1.3-1) unstable; urgency=low

  * New "upstream" release, with fixed multiselects and a mouse bug.

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 26 Dec 2000 23:26:05 -0500

bogl (0.1.2-2) unstable; urgency=low

  * Oops, also build depend on libpng2-dev.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 25 Dec 2000 22:38:22 -0500

bogl (0.1.2-1) unstable; urgency=low

  * New "upstream" release, fixing mouse support a bit.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 25 Dec 2000 22:21:31 -0500

bogl (0.1.1-1) unstable; urgency=low

  * New "upstream" release (i.e. code changes, not just packaging changes).
  * Build depend on libgd-dev (for pngtobogl).

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 25 Dec 2000 02:56:22 -0500

bogl (0.1-2) unstable; urgency=low

  * Remove ".depend" when building the package, oops.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 20 Dec 2000 14:46:22 -0500

bogl (0.1-1) unstable; urgency=low

  * Initial Release.
  * Include the utf8 library plugin, since it seems to still be necessary
    (even with glibc 2.2 installed, although glibc 2.2 should have the
    needed functions...).
  * Clean up the makefiles for building without the rest of the boot
    floppies.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 20 Dec 2000 13:29:38 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address "dan@debian.org"
End:

=== debian/control ===
Source: bogl
Section: devel
Priority: optional
Maintainer: Daniel Jacobowitz <dan@debian.org>
Build-Depends: debhelper (>= 2), libgd-dev, libpng2-dev
Standards-Version: 3.1.1

Package: libbogl-dev
Architecture: any
Depends: libbogl0 (= ${Source-Version}), libc6-dev, ${shlibs:Depends}
Description: Ben's Own Graphics Library - development files
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains the BOGL include files, static library,
 and development documentation.

Package: libbogl0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Ben's Own Graphics Library - shared library
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains the shared library version of BOGL.

Package: bogl-bterm
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Ben's Own Graphics Library - graphical terminal
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains bterm, a utf-enabled framebuffer terminal.

=== debian/rules ===
#!/usr/bin/make -f

# Based on debhelper sample rules file by Joey Hess

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

# Build architecture-independent files here.
binary-indep:
	@echo No architecture-independent packages.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot

	$(MAKE) install DESTDIR="$(shell pwd)/debian/tmp"

	dh_movefiles

	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installinfo
	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms

	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## bogl 0.1.18

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	LIBBOGLOBJECTS += bogl-cfb.o bogl-pcfb.o bogl-tcfb.o
 endif
 
-ifeq ($(architecture), i386)
+ifneq (,$(filter i386 arm ia64 x86_64,$(architecture)))
 	FBCFLAGS += -DBOGL_VGA16_FB=1
 	LIBBOGLOBJECTS += bogl-vga16.o
 	SOURCES_DEP += bogl-vga16.c bogl-vga16.h

=== debian/changelog ===
bogl (0.1.18-23) unstable; urgency=medium

  * patches/gcc-15: Fix build against gcc-15 (Closes: Bug#1096384)
  * rules: Use buildtools.mk.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.
  * Fix field name case in debian/control (Multi-arch ⇒ Multi-Arch).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Sep 2025 01:11:25 +0200

bogl (0.1.18-22) unstable; urgency=medium

  * patches/makefile: Fix dependency computation on non-Linux.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 21 Jan 2024 11:56:44 +0100

bogl (0.1.18-21) unstable; urgency=medium

  * patches/boglinfo: Add boglinfo tool.
  * control: Build-depend on libgd-dev only on linux.
  * bogl-utils.manpages: Don't install bdftobogl and pngtobogl on non-Linux.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 21 Jan 2024 11:16:34 +0100

bogl (0.1.18-20) unstable; urgency=medium

  * control: Make bogl-bterm Multi-Arch: foreign.
  * patches/SGR0-ul: Fix SGR0 resetting underlining.
  * patches/SGR-multiarg: Fix SGR processing several parameters.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Sep 2022 23:58:38 +0200

bogl (0.1.18-19) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on ncurses-term.
    + bogl-bterm: Drop versioned constraint on ncurses-term in Depends.

  [ Samuel Thibault ]
  * control: Split out font tools into bogl-utils. libbogl-dev can now be M-A:
    same and bogl-utils be M-A: foreign. Keep libbogl-dev -> bogl-utils
    dependency for now until packages have migrated to using bogl-utils for
    font tools.
  * libbogl-dev.{install,manpages}: Move utils into...
  * bogl-utils.{install,manpages}: new package.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Sep 2022 03:15:22 +0200

bogl (0.1.18-18) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no
  * rules: Set CC.
  * control: Bump Standards-Version to 4.6.0 (no change)

  [ Zhang Boyang ]
  * Better-quit-handling.patch: Better quit handling.
  * Fix-character-occasionally-disappears-from-right-edge-of-screen.patch: Fix
    character occasionally disappears from right edge of screen.
  * Fix-out-of-bound-read-in-tcfb-s-cmap_lookup.patch: Fix out-of-bound read
    in tcfb's cmap_lookup().
  * Fix-rightmost-pixel-of-each-line-not-cleared-by-bogl_vga16_text.patch: Fix
    rightmost pixel of each line not cleared by bogl_vga16_text().
  * Better-font-reload-handling.patch: Better font reload handling.
  * Fix-incorrect-signal-handling.patch: Fix incorrect signal handling.
  * Font-scaler.patch: Font scaler.
  * Use-ioctl-FBIOPAN_DISPLAY-to-update-screen-after-drawing.patch: Use
    ioctl(FBIOPAN_DISPLAY) to update screen after drawing
    (Closes: Bug#1011609)
  * Fix-crash-caused-by-invalid-term-yorig.patch: Fix crash caused by invalid
    term->yorig.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 24 Jul 2022 23:54:27 +0200

bogl (0.1.18-17) unstable; urgency=medium

  * patches/flags: Fix passing build flags.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 17:00:12 +0100

bogl (0.1.18-16) unstable; urgency=low

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for bogl-bterm-udeb.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Nov 2020 02:11:57 +0100

bogl (0.1.18-15) unstable; urgency=medium

  * rules: Rely on pre-initialized dpkg-architecture variables.
  * control: Build-depend on dh-exec.
  * libbogl-dev.install*: Use dh-exec to simplify files.
  * patches/no-common: Fix build with -fno-common, will be the default with
    gcc-10 (Closes: Bug#957050)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 20 May 2020 10:41:26 +0200

bogl (0.1.18-14) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * patches/warning: Fix some harmless warnings.

  [ Adam Conrad ]
  * debian/patches/makefile: Use DEB_HOST vars consistently, rather than
    incorrectly using DEB_BUILD and uname to guess what we're building.
  * debian/patches/makefile: Don't build vga16 on arm, due to glibc 2.30
    (Closes: Bug#940824)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 21 Sep 2019 00:38:50 +0200

bogl (0.1.18-13) unstable; urgency=medium

  * patches/invisible: Call iswspace instead of isspace, fixes crash on
    U+FEFF.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 08 Mar 2018 23:47:43 +0100

bogl (0.1.18-12) unstable; urgency=medium

  * patches: Switch to 3.0 patch system.
  * Use canonical anonscm vcs URL.
  * patches/gcc-7: Fix build with gcc-7 (Closes: Bug#853335)
  * patches/cub: Support cub blindly emitted by busybox.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 05 Oct 2017 22:56:47 +0200

bogl (0.1.18-11) unstable; urgency=medium

  * compat: Bump to 9.
  * rules: Clear.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 21:20:45 +0100

bogl (0.1.18-10) unstable; urgency=low

  [ Samuel Thibault ]
  * control:
    - Use Package-Type instead of XC-Package-Type.
    - Build-depend on libgd-dev instead of libgd2-dev.
    - Fix VCS URL.
  * bdftobogl.c: Rework to avoid letting static analyzers think there's a bug
    (Closes: Bug#737606).
  * Bump Standards-Version to 3.9.6.
  * Do not print invisible characters, ZWSP for Persian notably.
    (Closes: Bug#794204).

  [ Luca Coppolaro ]
  * bogl-font-new.c: Fix conversion of lines of glyphs with high bit set
    (Closes: Bug#796034).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Oct 2015 21:24:35 +0100

bogl (0.1.18-9) unstable; urgency=low



=== debian/control ===
Source: bogl
Section: devel
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 13), dh-exec, libgd-dev [linux-any], ncurses-term
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/bogl
Vcs-Git: https://salsa.debian.org/debian/bogl.git

Package: libbogl-dev
Section: libdevel
Architecture: linux-any
# bogl-utils deps to be dropped in >= trixie
Depends: libbogl0 (= ${binary:Version}), bogl-utils, libc6-dev, ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ben's Own Graphics Library - development files
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains the BOGL include files, static library,
 and development documentation.

Package: bogl-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libbogl-dev (<< 0.1.18-19~)
Replaces: libbogl-dev
Multi-Arch: foreign
Description: Ben's Own Graphics Library - font tools
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains the BOGL font manipulation tools.

Package: libbogl0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ben's Own Graphics Library - shared library
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains the shared library version of BOGL.

Package: bogl-bterm
Section: utils
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, ncurses-term
Description: Ben's Own Graphics Library - graphical terminal
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains bterm, a UTF-enabled framebuffer terminal.

Package: bogl-bterm-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ben's Own Graphics Library - graphical terminal
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains bterm, a UTF-enabled framebuffer terminal,
 for use in debian-installer.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk

override_dh_auto_build:
	mkdir -p build-udeb
	(cd build-udeb ; ln -sf ../* .)
	rm -f build-udeb/Makefile
	sed -e 's/-O2/-Os/' < Makefile > build-udeb/Makefile

	$(MAKE) -C build-udeb depend
	$(MAKE) -C build-udeb CC=$(CC)

	mkdir -p build
	(cd build ; ln -sf ../* .)

	$(MAKE) -C build depend
	$(MAKE) -C build CC=$(CC)

override_dh_auto_clean:
	rm -fr build build-udeb
	$(MAKE) clean

override_dh_auto_install:
	$(MAKE) -C build install DESTDIR=$(CURDIR)/debian/tmp
ifeq ($(DEB_HOST_ARCH_OS), linux)
	mkdir $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv $(CURDIR)/debian/tmp/usr/lib/lib* $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	install -d debian/bogl-bterm-udeb/usr/bin
	install -m 755 build-udeb/bterm debian/bogl-bterm-udeb/usr/bin/bterm
	install -d debian/bogl-bterm-udeb/usr/share/terminfo/b
	install -m 644 /usr/share/terminfo/b/bterm debian/bogl-bterm-udeb/usr/share/terminfo/b/bterm
endif

## bogl 0.1.18-1.1

=== debian/control ===
Source: bogl
Section: devel
Priority: optional
Maintainer: Daniel Jacobowitz <dan@debian.org>
Build-Depends: debhelper (>= 2), libgd2-noxpm-dev | libgd2-xpm-dev, libpng3-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7) [!hurd-i386]
Standards-Version: 3.1.1

Package: libbogl-dev
Section: libdevel
Architecture: any
Depends: libbogl0 (= ${Source-Version}), libc6-dev, ${shlibs:Depends}
Description: Ben's Own Graphics Library - development files
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains the BOGL include files, static library,
 and development documentation.

Package: libbogl0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Ben's Own Graphics Library - shared library
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains the shared library version of BOGL.

Package: bogl-bterm
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Ben's Own Graphics Library - graphical terminal
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains bterm, a UTF-enabled framebuffer terminal.

Package: bogl-bterm-udeb
Section: debian-installer
Architecture: any
Priority: extra
Depends: libc-udeb
Provides: editor
Description: Ben's Own Graphics Library - graphical terminal
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains bterm, a UTF-enabled framebuffer terminal,
 for use in debian-installer.

=== debian/rules ===
#!/usr/bin/make -f

# Based on debhelper sample rules file by Joey Hess

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) depend
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

# Build architecture-independent files here.
binary-indep:
	@echo No architecture-independent packages.

VERSION := $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot

	$(MAKE) install DESTDIR="$(shell pwd)/debian/tmp"

	dh_movefiles

	install -d debian/bogl-bterm-udeb/usr/bin
	install -m 755 debian/bogl-bterm/usr/bin/bterm debian/bogl-bterm-udeb/usr/bin/bterm
	install -d debian/bogl-bterm-udeb/usr/share/terminfo/b
	install -m 644 debian/bogl-bterm/usr/share/terminfo/b/bterm debian/bogl-bterm-udeb/usr/share/terminfo/b/bterm

	dh_installdocs -Nbogl-bterm-udeb
	dh_installexamples -Nbogl-bterm-udeb
	dh_installman -Nbogl-bterm-udeb
	dh_installinfo -Nbogl-bterm-udeb
	dh_installchangelogs -Nbogl-bterm-udeb
	dh_link
	dh_strip
	dh_compress
	dh_fixperms

	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps

	dh_gencontrol -Nbogl-bterm-udeb
	dh_gencontrol -pbogl-bterm-udeb -- -fdebian/files~
	dpkg-distaddfile bogl-bterm-udeb_$(VERSION)_$(ARCH).udeb debian-installer extra
	dh_md5sums -Nbogl-bterm-udeb
	dh_builddeb -Nbogl-bterm-udeb
	dh_builddeb -pbogl-bterm-udeb --filename=bogl-bterm-udeb_$(VERSION)_$(ARCH).udeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary configure

## bogl 0.1.18-1.1ubuntu3

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	LIBBOGLOBJECTS += bogl-cfb.o bogl-pcfb.o bogl-tcfb.o
 endif
 
-ifneq (,$(filter i386 arm ia64 x86_64,$(architecture)))
+ifneq (,$(filter i386 i486 arm ia64 x86_64,$(architecture)))
 	FBCFLAGS += -DBOGL_VGA16_FB=1
 	LIBBOGLOBJECTS += bogl-vga16.o
 	SOURCES_DEP += bogl-vga16.c bogl-vga16.h

=== debian/changelog ===
bogl (0.1.18-1.1ubuntu3) breezy; urgency=low

  * Fix build with new dpkg-architecture
  * Add a SIGTERM signal handler which allows for a graceful exit, restoring
    the vt state

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  7 Sep 2005 15:59:03 -0700

bogl (0.1.18-1.1ubuntu2) breezy; urgency=low

  * Fixed one more gcc-4.0 error
    boml.c -  error: label at end of compound statement  

 -- Charles Majola <charles@ubuntu.com>  Mon, 16 May 2005 14:31:39 +0000

bogl (0.1.18-1.1ubuntu1) breezy; urgency=low

  * Fix FTBFS (amd64/gcc-4.0). Closes: #284741.

 -- Matthias Klose <doko@ubuntu.com>  Tue,  3 May 2005 11:39:21 +0200

## bogl 0.1.18-1.4ubuntu2

=== debian/changelog ===
bogl (0.1.18-1.4ubuntu2) dapper; urgency=low

  * debian/control: libpng3-dev -> libpng12-dev, libpng3-dev is going away.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 23 Feb 2006 12:11:36 +0100

bogl (0.1.18-1.4ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Nov 2005 12:08:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Daniel Jacobowitz <dan@debian.org>
-Build-Depends: debhelper (>= 2), libgd2-noxpm-dev | libgd2-xpm-dev, libpng3-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7) [!hurd-i386]
+Build-Depends: debhelper (>= 2), libgd2-noxpm-dev | libgd2-xpm-dev, libpng12-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7) [!hurd-i386]
 Standards-Version: 3.1.1
 
 Package: libbogl-dev

## bogl 0.1.18-1.4ubuntu4

=== debian/changelog ===
bogl (0.1.18-1.4ubuntu4) edgy; urgency=low

  * bogl.c: Stop including asm/page.h to get PAGE_MASK, and instead grab
    it at runtime with sysconf(_SC_PAGESIZE), fix pulled from usplash.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 13 Oct 2006 19:01:50 +1000

bogl (0.1.18-1.4ubuntu3) edgy; urgency=low

  * debian/control: Remove linux-kernel-headers build dependency, it does not
    exist any more and causes FTBFS. (Got replaced by the build-essential
    linux-libc-dev.) Closes: LP#65848

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Oct 2006 09:47:27 +0200

## bogl 0.1.18-1.5ubuntu1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 WARNCFLAGS += -Wall -D_GNU_SOURCE
 ALLCFLAGS = $(CFLAGS) $(WARNCFLAGS) $(FBCFLAGS)
 
-architecture := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
+architecture := $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
 
 LIBOBJECTS = $(LIBBOGLOBJECTS) $(LIBBOMLOBJECTS) $(LIBBOWLOBJECTS)	\
 	$(LIBRSRCOBJECTS)
@@ -27,7 +27,7 @@
 	LIBBOGLOBJECTS += bogl-cfb.o bogl-pcfb.o bogl-tcfb.o
 endif
 
-ifneq (,$(filter i386 i486 arm ia64 x86_64,$(architecture)))
+ifneq (,$(filter i386 arm ia64 amd64,$(architecture)))
 	FBCFLAGS += -DBOGL_VGA16_FB=1
 	LIBBOGLOBJECTS += bogl-vga16.o
 	SOURCES_DEP += bogl-vga16.c bogl-vga16.h

=== debian/changelog ===
bogl (0.1.18-1.5ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add a SIGTERM signal handler which allows for a graceful exit,
      restoring the vt state.
    - debian/control: libpng3-dev -> libpng12-dev; libpng3-dev is going
      away.
    - debian/control: Remove linux-kernel-headers build dependency, it does
      not exist any more and causes FTBFS. (Got replaced by the
      build-essential linux-libc-dev.)
  * Discard a few unnecessary changes which looked like old merge cruft.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Dec 2006 12:21:12 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Daniel Jacobowitz <dan@debian.org>
-Build-Depends: debhelper (>= 2), libgd2-noxpm-dev | libgd2-xpm-dev, libpng12-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7) [!hurd-i386]
+Build-Depends: debhelper (>= 2), libgd2-noxpm-dev | libgd2-xpm-dev, libpng12-dev
 Standards-Version: 3.1.1
 
 Package: libbogl-dev

## bogl 0.1.18-2

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: bogl
 Section: devel
 Priority: optional
-Maintainer: Daniel Jacobowitz <dan@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 2), libgd2-noxpm-dev | libgd2-xpm-dev, libpng12-dev
 Standards-Version: 3.1.1

## bogl 0.1.18-2ubuntu4

=== debian/changelog ===
bogl (0.1.18-2ubuntu4) jaunty; urgency=low

  * Redo 0.1.18-2ubuntu2, this time in a way that actually works.
    Compatibility with bterm's old command-line parsing is fiddly. The old
    style is "bterm [options] [command]" where options and command may be
    interleaved, and command may only be a single path; we now also support
    "bterm [options] -- command [arguments]".

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 06 Feb 2009 14:08:52 +0100

bogl (0.1.18-2ubuntu3) jaunty; urgency=low

  * Revert changes from 0.1.18-2ubuntu2; bterm only supports a single
    command argument so "--" is not a lot of use.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Feb 2009 09:01:58 +0100

bogl (0.1.18-2ubuntu2) jaunty; urgency=low

  * If a "--" argument is encountered on bterm's command line, terminate
    option processing there.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 Feb 2009 13:48:49 +0100

bogl (0.1.18-2ubuntu1) jaunty; urgency=low

  * Set many internal file descriptors close-on-exec, to avoid leaking them
    to the program called by bterm.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Jan 2009 16:02:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bogl
 Section: devel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 2), libgd2-noxpm-dev | libgd2-xpm-dev, libpng12-dev
 Standards-Version: 3.1.1

## bogl 0.1.18-3ubuntu3

=== debian/changelog ===
bogl (0.1.18-3ubuntu3) karmic; urgency=low

  * bowl.c: do not use nested function to avoid creating binary
    with an executable stack (Debian bug 539775).
    http://cvs.fedoraproject.org/viewvc/devel/bogl/bogl-0.1.18-noexecstack.patch?view=markup

 -- Kees Cook <kees@ubuntu.com>  Mon, 03 Aug 2009 08:33:33 -0700

bogl (0.1.18-3ubuntu2) karmic; urgency=low

  * Fix Maintainer field per DebianMaintainerField.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Jun 2009 15:59:03 +0100

bogl (0.1.18-3ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - If a "--" argument is encountered on bterm's command line, terminate
      option processing there and accept arguments after the command name.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 May 2009 15:46:19 +0100

## bogl 0.1.18-3ubuntu4

=== debian/changelog ===
bogl (0.1.18-3ubuntu4) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Fri, 05 Mar 2010 03:11:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: bogl
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 2), libgd2-noxpm-dev | libgd2-xpm-dev, libpng12-dev
-Standards-Version: 3.1.1
+Build-Depends: debhelper (>= 5.0.0), libgd2-noxpm-dev | libgd2-xpm-dev, libpng12-dev
+Standards-Version: 3.8.1
 
 Package: libbogl-dev
 Section: libdevel
 Architecture: any
-Depends: libbogl0 (= ${Source-Version}), libc6-dev, ${shlibs:Depends}
+Depends: libbogl0 (= ${binary:Version}), libc6-dev, ${shlibs:Depends}, ${misc:Depends}
 Description: Ben's Own Graphics Library - development files
  Ben's Own Graphics Library is a small framebuffer library,
  including basic widgets, support for text in multiple
@@ -21,7 +21,7 @@
 Package: libbogl0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Ben's Own Graphics Library - shared library
  Ben's Own Graphics Library is a small framebuffer library,
  including basic widgets, support for text in multiple
@@ -32,7 +32,7 @@
 Package: bogl-bterm
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Ben's Own Graphics Library - graphical terminal
  Ben's Own Graphics Library is a small framebuffer library,
  including basic widgets, support for text in multiple

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=2
 
 # shared library versions, option 1
 version=2.0.5
@@ -32,7 +29,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean
 
@@ -48,7 +45,7 @@
 	dh_testdir
 	dh_testroot
 
-	$(MAKE) install DESTDIR="$(shell pwd)/debian/tmp"
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
 	dh_movefiles
